Bug 999170 - bind: vulnerability in the SRTT algorithm
bind: vulnerability in the SRTT algorithm
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130812,repor...
: Security
Depends On:
Blocks: 999171
  Show dependency treegraph
 
Reported: 2013-08-20 16:55 EDT by Vincent Danen
Modified: 2016-06-13 04:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-08-20 16:55:11 EDT
A deficiency in the SRTT (Smoothed Round Trip Time) algorithm in BIND9 was reported that could theoretically allow an attacker to lower the SRTT value that a recursive resolver has associated with an authoritative server.  This could allow the attacker to influence the selection of a specific authoritative server from an NS resource record set with multiple values and thus determine which of multiple authoritative servers for a domain will be queried.

ISC has indicated that they intend to address this deficiency by reimplementing the SRTT algorithm in a future maintenance release of BIND9.  They also note that "the deficiency in the SRTT algorithm is not considered an exploitable security vulnerability on its own".


External References:

https://kb.isc.org/article/AA-01030/169/Operational-Notification-A-Vulnerability-in-the-SRTT-Algorithm-affects-BIND-9-Authoritative-Server-Selection.html
Comment 2 Huzaifa S. Sidhpurwala 2013-08-28 05:13:25 EDT
Statement:

This issue affects the version of bind shipped with Red Hat Enterprise Linux 5 and 6. This issue affects the version of bind97 shipped with Red Hat Enterprise Linux 5. Upstream has indicated that they intend to address this deficiency by reimplementing the SRTT algorithm in a future maintenance release of BIND9.

Note You need to log in before you can comment on or make changes to this bug.